[project]
name = "itk-demo-dummy"
version = "0.1.0"
description = ""
authors = [
  {name = "Dominik Schlothane", email = "dominik.schlothane@cern.ch"},
]
dependencies = [
  "rich~=13.7",
  "coloredlogs~=15.0",
  "fastapi~=0.112",
  "pydantic~=2.8",
  "uvicorn~=0.25",
  "requests==2.31.0",
  "config-checker==2.0.1",
  "pyconfigdb~=2.0",
]

[tool.uv.sources]
config-checker = { index = "gitlab" }
pyconfigdb = { index = "gitlab" }
pyregistry = { index = "gitlab" }

[[tool.uv.index]]
name = "gitlab"
url = "https://gitlab.cern.ch/api/v4/groups/33370/-/packages/pypi/simple"